diff -ru coreutils-6.10.clean/doc/coreutils.info coreutils-6.10/doc/coreutils.info
--- coreutils-6.10.clean/doc/coreutils.info	2008-09-04 19:28:46.000000000 -0400
+++ coreutils-6.10/doc/coreutils.info	2008-09-04 19:55:47.000000000 -0400
@@ -1539,11 +1539,20 @@
      decoding data.  Input is expected to be base64 encoded data, and
      the output will be the original data.
 
+`-e'
+`--encode'
+     Encoding data is the default, so this flag does nothing.  It is
+     present for option-compatibility with base64 from
+     http://www.fourmilab.ch/webtools/base64/
+
 `-i'
 `--ignore-garbage'
+`-n'
+`--noerrcheck'
      When decoding, newlines are always accepted.  During decoding,
      ignore unrecognized bytes, to permit distorted data to be decoded.
-
+     `-n' and `--noerrcheck' are for drop-in compatibility with 
+     http://www.fourmilab.ch/webtools/base64/
 
    An exit status of zero indicates success, and a nonzero value
 indicates failure.
Only in coreutils-6.10/doc: coreutils.info~
diff -ru coreutils-6.10.clean/src/base64.c coreutils-6.10/src/base64.c
--- coreutils-6.10.clean/src/base64.c	2008-09-04 19:28:46.000000000 -0400
+++ coreutils-6.10/src/base64.c	2008-09-04 19:53:26.000000000 -0400
@@ -41,9 +41,11 @@
 char *program_name;
 
 static const struct option long_options[] = {
+  {"encode", no_argument, 0, 'e'},
   {"decode", no_argument, 0, 'd'},
   {"wrap", required_argument, 0, 'w'},
   {"ignore-garbage", no_argument, 0, 'i'},
+  {"noerrcheck", no_argument, 0, 'n'},
   {"help", no_argument, 0, GETOPT_HELP_CHAR},
   {"version", no_argument, 0, GETOPT_VERSION_CHAR},
 
@@ -257,13 +259,18 @@
 
   atexit (close_stdout);
 
-  while ((opt = getopt_long (argc, argv, "dqiw:", long_options, NULL)) != -1)
+  while ((opt = getopt_long (argc, argv, "edqniw:", long_options, NULL)) != -1)
     switch (opt)
       {
       case 'd':
 	decode = true;
 	break;
 
+      case 'e':
+	/* ignore, but accept for compatibility with 
+	   http://www.fourmilab.ch/webtools/base64/ */
+	break;
+
       case 'w':
 	if (xstrtoumax (optarg, NULL, 0, &wrap_column, NULL) != LONGINT_OK)
 	  error (EXIT_FAILURE, 0, _("invalid wrap size: %s"),
@@ -271,6 +278,7 @@
 	break;
 
       case 'i':
+      case 'n':
 	ignore_garbage = true;
 	break;
 
Only in coreutils-6.10/src: base64.c~
